Bug 116693 - Drop Sifr from the shipped icon themes
Summary: Drop Sifr from the shipped icon themes
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: MacOS-Wishlist Icon-Theme-Sifr-old
  Show dependency treegraph
 
Reported: 2018-03-29 14:54 UTC by Heiko Tietze
Modified: 2018-04-04 15:31 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:


Attachments
sifr breeze comparison (42.23 KB, image/jpeg)
2018-04-01 10:27 UTC, steve -_-
Details
safari (437.55 KB, image/png)
2018-04-01 10:34 UTC, steve -_-
Details
finder high sierra (25.25 KB, image/jpeg)
2018-04-01 10:35 UTC, steve -_-
Details
colibre icons (909.02 KB, application/zip)
2018-04-01 18:19 UTC, Yousuf Philips (jay) (retired)
Details
screen clips of LibreOfficeDev 6.1.0 (2018-03-26) Writer with Breeze, Colibre, Sifr icon themes (542.47 KB, application/zip)
2018-04-02 18:04 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-03-29 14:54:58 UTC
Taking the decision from https://bugs.documentfoundation.org/show_bug.cgi?id=42082#c25 into an extra ticket.
Comment 1 steve -_- 2018-03-29 14:57:47 UTC
Please don't. We've since moved to Breeze. Compared to Breeze, Sifr looks clunky and does not fit macOS as well.

Proposing wontfix as state for this bug.
Comment 2 Heiko Tietze 2018-03-29 15:42:17 UTC
Patch at https://gerrit.libreoffice.org/#/c/52117/
Comment 3 isaacaweiss 2018-03-29 16:03:24 UTC
I disagreed with that decision then and still do now. If LibreOffice's button style matched macOS's, then the Breeze icons might look better, but against that background Sifr comes much closer to the native macOS feel.
Comment 4 Yousuf Philips (jay) (retired) 2018-03-31 16:15:19 UTC
(In reply to Heiko Tietze from comment #0)
> Taking the decision from
> https://bugs.documentfoundation.org/show_bug.cgi?id=42082#c25 into an extra
> ticket.

That decision was made and happened in LO 4.4.

https://wiki.documentfoundation.org/ReleaseNotes/4.4#Sifr_as_the_default_icon_theme_on_OS_X

In 5.0, Steve suggested moving to breeze and that is when it changed. I've always felt that moving to breeze from sifr wasnt a good decision on Mac, especially with breeze's thin lines and mac's toolbar gradient. With the recent introduction of colibre and it being the default on windows, i would recommend it be the default on mac over sifr or breeze.
Comment 5 steve -_- 2018-04-01 10:26:43 UTC
I'd love to look at Colibre but macOS nightly are stuck (again)
https://dev-builds.libreoffice.org/daily/master/MacOSX-x86_64@49-TDF/

The argument to simulate or come close to another office application is not that relevant for macOS imo, since Pages + Word do differ quite a lot. Word has the ribbon and icons look really different than the icon style in Pages (no ribbon).

My feeling towards Sifr (and reasoning why I preferred and still do prefer Breeze over it for macOS) remains: it feels a bit clunky, less elegant. I think the thin lines better fit the macOS style and look more modern.

Attaching a screenshot showing LO / iTunes / Finder w left sift right breeze.
Comment 6 steve -_- 2018-04-01 10:27:03 UTC
Created attachment 141008 [details]
sifr breeze comparison
Comment 7 steve -_- 2018-04-01 10:34:00 UTC
Created attachment 141009 [details]
safari
Comment 8 steve -_- 2018-04-01 10:35:50 UTC
Created attachment 141010 [details]
finder high sierra
Comment 9 steve -_- 2018-04-01 10:36:38 UTC
Looking at Safari / Finder icons I feel the argument with thin lines being more in line with macOS seems to apply even more.
Comment 10 Yousuf Philips (jay) (retired) 2018-04-01 18:19:42 UTC
Created attachment 141011 [details]
colibre icons
Comment 11 Yousuf Philips (jay) (retired) 2018-04-01 18:30:52 UTC
(In reply to steve -_- from comment #5)
> I'd love to look at Colibre but macOS nightly are stuck (again)
> https://dev-builds.libreoffice.org/daily/master/MacOSX-x86_64@49-TDF/

Download attachment 141011 [details] and adding it to the folder with the other icon zip files.

> The argument to simulate or come close to another office application is not
> that relevant for macOS imo, since Pages + Word do differ quite a lot. Word
> has the ribbon and icons look really different than the icon style in Pages
> (no ribbon).

Both Pages and Word have colorful icons, so it is simple to use that as the basis of the choice, which is why i'm recommending the colored icons of colibre over the black/gray icons in breeze and sifr.

https://tidbits.com/resources/2014-10/iwork-mac-toolbars.png

http://cdn2.alphr.com/sites/alphr/files/2015/07/word_2016_for_mac.jpg

> My feeling towards Sifr (and reasoning why I preferred and still do prefer
> Breeze over it for macOS) remains: it feels a bit clunky, less elegant. I
> think the thin lines better fit the macOS style and look more modern.

Yes breeze does more closely resemble the thin monochrome icons found in single title+toolbar (CSD) apps like itunes, safari, and finder, but LO has many toolbars with hundreds of icons, and monochrome icons cant convey the needed information effectively.
Comment 12 Adolfo Jayme 2018-04-02 02:48:07 UTC
I’m not happy with this. Bug 42082 comment 25 is outdated; since then we’ve decided to settle on Breeze after consultation with macOS users (commit 816941f1396b79eba2dc3b46c6cffb53835ee923), none of which have clamored to revert that change, so I dunno what has prompted the design team to suddenly try to revert it.

If contrast is so much of a problem, I’d rather nuke the buggy toolbar gradient.
Comment 13 Heiko Tietze 2018-04-02 07:39:29 UTC
If the overall opinion continues to be against Sifr I vote for removing this theme from the factory settings; users can install it easily per extension.

Only those artwork should be included in general that has a clear purpose, which is in case of icon themes being the default for a desktop environment. 

(Hope pappamatti will join the discussion.)
Comment 14 V Stuart Foote 2018-04-02 13:11:07 UTC
@Heiko, *

The Sifr icon design change at 4.4 [1] ended up too heavy for macOS, also it was falling back to Breeze. So, more complete Breeze was made default at 5.0 [2]

So still correct to retain Breeze as default for macOS builds. Valid question about suitability of Colibre as done for Windows 10 (or recast with an Apple macOS palette hue) as alternative to Breeze. But not Sifr.

IMHO => WONTFIX

=-ref-=
[1] https://wiki.documentfoundation.org/Design/Meetings/2014-11-19
[2] https://wiki.documentfoundation.org/Design/Meetings/2015-06-03
Comment 15 andreas_k 2018-04-02 13:46:09 UTC
As I don't use osx I can't give an advise but it look like there is any icon theme that will work for all. So my suggestion would be no change and I will check if colibre could work with osx color plate.
Comment 16 V Stuart Foote 2018-04-02 18:04:42 UTC
Created attachment 141039 [details]
screen clips of LibreOfficeDev 6.1.0 (2018-03-26) Writer with Breeze, Colibre, Sifr icon themes

PNGs for comparison of the icon themes showing Writer and Style sidebar, as of 2018-03-26 builds of master.

Still some Sifr fallback to Breeze. And Windows 10 color theme of Colibre is not really a good fit for macOS.
Comment 17 Papamatti 2018-04-02 19:25:07 UTC
As the designer of sifr (part of it) and I unfortunately don't use MacOS I could not test how sifr will fit into the MacOS Theme. And for my perspective, sifr is more tango related, which makes it more suitable for desktops like gnome, xfce, e.g.

Perhaps colibre is the better icon set for MacOS, perhaps with a slightly different color scheme (or monochromatic).
Comment 18 Heiko Tietze 2018-04-03 08:18:58 UTC
So since all vote against a certain purpose for Sifr (being the default on macOS) there is no reason to keep it. It's an icon theme like any other on DeviantArt or Gnome eyecandy. So my take is to remove it from the shipped themes and make it an extension on the LibreOffice extension site.

(Summary adjusted, was: Make Sifr the default icon theme on macOS)
Comment 19 andreas_k 2018-04-03 08:22:48 UTC
I think it's a decission Papamatti should make if he prefer to work on the core repository please do so. If he will switch to the extension webpage it's also fine, but don't stop to contribute to Sifr icons.
Comment 20 Jan Holesovsky 2018-04-03 08:51:28 UTC
(In reply to andreas_k from comment #19)
> I think it's a decission Papamatti should make if he prefer to work on the
> core repository please do so. If he will switch to the extension webpage
> it's also fine, but don't stop to contribute to Sifr icons.

Totally agree - if there is an active maintainer, no need to push for a the theme removal!

Papamatti - thanks for all your work on the Sifr icons, much appreciate it :-)
Comment 21 V Stuart Foote 2018-04-03 12:29:38 UTC
Personally I've always liked Sifr, and still think it has the best potential for scalable SVG/HiDPI support, and dynamic change of icon color in response to theme or HC/CB use needs. But it needs continued dev effort. 

Near term, do need to complete the icon set as its fall back to Breeze remains a bit jarring.

If Papamatti remains on board no reason to remove it even if it is not used by default for any OS/DE.
Comment 22 Thomas Lendo 2018-04-03 12:35:23 UTC
I also vote against removing Sifr from default installation as long as there is an active maintainer like Papamatti. So: WONTFIX.
Comment 23 Heiko Tietze 2018-04-03 12:47:05 UTC
There was recently a similar discussion on the mailing list about Notebookbars with the question, which of the inbuilt variants is being supported by the design team. The answer that we accept everything as long we have an active maintainer is odd, IMHO, as it is the opposite of user-centered design. This statement is agnostic of persons or quality, Matthias (aka papamatti) is doing a great job and Sifr is a nice theme. But what stops people from flooding LibreOffice with too many variants?

In the end, the overall opinion is to keep Sifr and I have to accept the decision (admittedly not a big deal in this case).
Comment 24 andreas_k 2018-04-03 12:58:13 UTC
you are absolute right we have now 9 different user interfaces for > 3 different applications. If someone write a new function someone has to implement this function in add different implementations. That's horror. And if you have someone that maintain the implementation you have to be informed that there is a new function, ...

This is an existing issue already exist with icon themes.

remove everything and keep LO compact is one solution. The second solution is to find a way to inform the different maintainer about new icons / new functions, ... this will help not only the "core" developers and designers that will help also external icon / toolbar designers, so I think find a solution for our diversity will be better than move everything to an extension, BUT also promote that LO is diversity so the users understood that it can happen that something isn't finished.
Comment 25 Heiko Tietze 2018-04-03 13:01:30 UTC
(In reply to andreas_k from comment #24)
>  The second solution
> is to find a way to inform the different maintainer...

The core of LibreOffice has no real maintainer, no dedicated person who is responsible for a feature. Volunteers are doing the work in open source. If a feature is provided via extension the things are different.
Comment 26 Yousuf Philips (jay) (retired) 2018-04-04 15:31:01 UTC
Sifr is intended to replace the high contrast icon theme, so if something needs to be removed, it should be high contrast and making sifr appear when high contrast is enabled.